org.eclipse.viatra.cep.core.metamodels.automaton.util

## Class AutomatonAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.viatra.cep.core.metamodels.automaton.util.AutomatonAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class AutomatonAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `AutomatonPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static AutomatonPackage` | `modelPackage` The cached model package.
    `protected AutomatonSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutomatonAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createAutomatonAdapter()` Creates a new adapter for an object of class '`Automaton`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createEpsilonTransitionAdapter()` Creates a new adapter for an object of class '`Epsilon Transition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEventTokenAdapter()` Creates a new adapter for an object of class '`Event Token`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFinalStateAdapter()` Creates a new adapter for an object of class '`Final State`'.
    `org.eclipse.emf.common.notify.Adapter` | `createGuardAdapter()` Creates a new adapter for an object of class '`Guard`'.
    `org.eclipse.emf.common.notify.Adapter` | `createHoldsForAdapter()` Creates a new adapter for an object of class '`Holds For`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInitStateAdapter()` Creates a new adapter for an object of class '`Init State`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInternalModelAdapter()` Creates a new adapter for an object of class '`Internal Model`'.
    `org.eclipse.emf.common.notify.Adapter` | `createNegativeTransitionAdapter()` Creates a new adapter for an object of class '`Negative Transition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterAdapter()` Creates a new adapter for an object of class '`Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterBindingAdapter()` Creates a new adapter for an object of class '`Parameter Binding`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterTableAdapter()` Creates a new adapter for an object of class '`Parameter Table`'.
    `org.eclipse.emf.common.notify.Adapter` | `createStateAdapter()` Creates a new adapter for an object of class '`State`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTimedZoneAdapter()` Creates a new adapter for an object of class '`Timed Zone`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTransitionAdapter()` Creates a new adapter for an object of class '`Transition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTrapStateAdapter()` Creates a new adapter for an object of class '`Trap State`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTypedTransitionAdapter()` Creates a new adapter for an object of class '`Typed Transition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createWithinAdapter()` Creates a new adapter for an object of class '`Within`'.
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static AutomatonPackage modelPackage

      The cached model package.
      Generated:

    - #### modelSwitch

          protected AutomatonSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated:

  - ### Constructor Detail

    - #### AutomatonAdapterFactory

          public AutomatonAdapterFactory()

      Creates an instance of the adapter factory.
      Generated:

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated:

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated:

    - #### createInternalModelAdapter

          public org.eclipse.emf.common.notify.Adapter createInternalModelAdapter()

      Creates a new adapter for an object of class '`Internal Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InternalModel`
      Generated:

    - #### createAutomatonAdapter

          public org.eclipse.emf.common.notify.Adapter createAutomatonAdapter()

      Creates a new adapter for an object of class '`Automaton`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Automaton`
      Generated:

    - #### createEventTokenAdapter

          public org.eclipse.emf.common.notify.Adapter createEventTokenAdapter()

      Creates a new adapter for an object of class '`Event Token`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EventToken`
      Generated:

    - #### createStateAdapter

          public org.eclipse.emf.common.notify.Adapter createStateAdapter()

      Creates a new adapter for an object of class '`State`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `State`
      Generated:

    - #### createInitStateAdapter

          public org.eclipse.emf.common.notify.Adapter createInitStateAdapter()

      Creates a new adapter for an object of class '`Init State`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InitState`
      Generated:

    - #### createFinalStateAdapter

          public org.eclipse.emf.common.notify.Adapter createFinalStateAdapter()

      Creates a new adapter for an object of class '`Final State`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FinalState`
      Generated:

    - #### createTrapStateAdapter

          public org.eclipse.emf.common.notify.Adapter createTrapStateAdapter()

      Creates a new adapter for an object of class '`Trap State`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TrapState`
      Generated:

    - #### createTransitionAdapter

          public org.eclipse.emf.common.notify.Adapter createTransitionAdapter()

      Creates a new adapter for an object of class '`Transition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Transition`
      Generated:

    - #### createTypedTransitionAdapter

          public org.eclipse.emf.common.notify.Adapter createTypedTransitionAdapter()

      Creates a new adapter for an object of class '`Typed Transition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TypedTransition`
      Generated:

    - #### createNegativeTransitionAdapter

          public org.eclipse.emf.common.notify.Adapter createNegativeTransitionAdapter()

      Creates a new adapter for an object of class '`Negative Transition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NegativeTransition`
      Generated:

    - #### createEpsilonTransitionAdapter

          public org.eclipse.emf.common.notify.Adapter createEpsilonTransitionAdapter()

      Creates a new adapter for an object of class '`Epsilon Transition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EpsilonTransition`
      Generated:

    - #### createGuardAdapter

          public org.eclipse.emf.common.notify.Adapter createGuardAdapter()

      Creates a new adapter for an object of class '`Guard`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Guard`
      Generated:

    - #### createTimedZoneAdapter

          public org.eclipse.emf.common.notify.Adapter createTimedZoneAdapter()

      Creates a new adapter for an object of class '`Timed Zone`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TimedZone`
      Generated:

    - #### createWithinAdapter

          public org.eclipse.emf.common.notify.Adapter createWithinAdapter()

      Creates a new adapter for an object of class '`Within`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Within`
      Generated:

    - #### createHoldsForAdapter

          public org.eclipse.emf.common.notify.Adapter createHoldsForAdapter()

      Creates a new adapter for an object of class '`Holds For`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `HoldsFor`
      Generated:

    - #### createParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

      Creates a new adapter for an object of class '`Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Parameter`
      Generated:

    - #### createParameterTableAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterTableAdapter()

      Creates a new adapter for an object of class '`Parameter Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ParameterTable`
      Generated:

    - #### createParameterBindingAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterBindingAdapter()

      Creates a new adapter for an object of class '`Parameter Binding`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ParameterBinding`
      Generated:

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated: